Subject: Re: bug#14616: 24.3.50; Excessive cursor movement on non-X Emacs

From: lee <[email-masked]>
Date: Wed, 19 Jun 2013 03:38:55 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: lee <[email-masked]>
>> Cc: Lars Magne Ingebrigtsen <[email-masked]>,  [email-masked]
>> Date: Tue, 18 Jun 2013 07:22:10 +0200
>> 
>> > This all sounds very similar to bug #13864, but that one was fixed 2
>> > months ago.
>> 
>> This one: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13864 ?
>
> Yes.
> 
> [...]
> 
>> + start emacs (just normally)
>> + M-x gnus RET
>> + enter a group that has messages all marked as O
>> + press enter with the cursor on the first message in the summary buffer
>> + that message is displayed and the cursor in the summary buffer moves
>>   down by two messages, i. e.:
>> 
>> 
>>     O Message 1 <--Cursor
>>     O Message 2
>>     O Message 3
>>     O Message 4
>>     [...]
>> 
>> 
>>   becomes
>> 
>> 
>>     O Message 1
>>     O Message 2
>>     O Message 3 <-- Cursor
>>     O Message 4
>>     [...]
>> 
>> 
>> I would expect the cursor to remain on Message 1.  Now when I 'C-x b
>> some-other-buffer' to switch to another buffer from the summary display
>> --- or run 'emacsclient some-file' --- and then 'C-x o' to the message
>> buffer and then press 't' to display the message headers, Message 3 is
>> suddenly displayed instead of Message 1 (without showing the headers).
>
> Sounds like an entirely different problem from the one reported by
> Lars in this bug report.  Why did you think they are the same?

Uh, I don't think they are the same.  This one looks like it affects
only gnus; everything else in emacs seems to work fine.  It was very
confusing when it showed up, and my initial bug report wasn't exactly
well written.  So I looked at #13864 and tried to reproduce it in this
context.  Looking closer at what I reported about showed the behaviour I
tried to describe, hoping some more detailed info might make it easier
for you to look into it.

#13864, Lars' observations and what I'm seeing here /could/ all be
related since it all has something to do with the display, but I
wouldn't be able to tell.

-- 
"Object-oriented programming languages aren't completely convinced that
you should be allowed to do anything with functions."
http://www.joelonsoftware.com/items/2006/08/01.html